# $Revision: 1.101 $, $Date: 2010/02/23 08:05:08 $
Summary:	smplayer - mplayer frontend
Summary(pl.UTF-8):	smplayer - nakładka na mplayera
Name:		smplayer
Version:	0.6.9
Release:	1
License:	GPL
Group:		X11/Applications
Source0:	http://dl.sourceforge.net/smplayer/%{name}-%{version}.tar.bz2
# Source0-md5:	dfe874b386509de5df78537489f95004
URL:		http://smplayer.sourceforge.net/
BuildRequires:	Qt3Support-devel
BuildRequires:	QtCore-devel
BuildRequires:	QtGui-devel
BuildRequires:	QtNetwork-devel
BuildRequires:	QtOpenGL-devel
BuildRequires:	qt4-build >= 4.3.3-3
BuildRequires:	qt4-linguist >= 4.3.3-3
BuildRequires:	qt4-qmake >= 4.3.3-3
BuildRequires:	rpmbuild(macros) >= 1.129
Requires:	mplayer >= 3:1.0-5.rc2_svn27725.17
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
SMPlayer intends to be a complete front-end for MPlayer, from basic
features like playing videos, DVDs, and VCDs to more advanced features
like support for MPlayer filters and more.

One of the most interesting features of SMPlayer: it remembers the
settings of all files you play. So you start to watch a movie but you
have to leave... don't worry, when you open that movie again it will
resume at the same point you left it, and with the same settings:
audio track, subtitles, volume...

%description -l pl.UTF-8
SMPlayer stara się być kompletną nakładką na MPlayera, począwszy od
podstawowych funkcji jak odtwarzanie plików video, DVD i VCD kończąc
na bardziej zaawansowanych opcjach jak obsługa filtrów MPlayera oraz
wiele więcej.

Jedną z najciekawszych funkcji SMPlayera jest to, że zapamiętuje
ustawienia wszystkich plików jakie odgrywasz. Zaczynasz oglądać film,
ale musisz wyjść... nie martw się, kiedy odtworzysz film ponownie
zacznie od momentu, w którym go wyłączyłeś i z tymi samymi
ustawieniami jak: ścieżka dźwiękowa, napisy, głośność...

%prep
%setup -q

# skip docs isntall
%{__sed} -i -e '/DOC_PATH/d' Makefile src/smplayer.pro

# skip manpage compress
%{__sed} -i -e '/gzip/d' Makefile

# skip build rule on install
%{__sed} -i -e 's,install: src/smplayer,install:,' Makefile

# disable debug on console on unix too
%{__sed} -i -e '/NO_DEBUG_ON_CONSOLE/s,#DEFINES,DEFINES,' src/smplayer.pro

%build
%{__make} \
	PREFIX=%{_prefix} \
	QMAKE=qmake-qt4 \
	LRELEASE=lrelease-qt4

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/smplayer/themes

%{__make} install \
	PREFIX=%{_prefix} \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changelog Not_so_obvious_things.txt Readme.txt
%attr(755,root,root) %{_bindir}/smplayer
%dir %{_datadir}/smplayer
%{_datadir}/smplayer/input.conf
%dir %{_datadir}/smplayer/shortcuts
%{_datadir}/smplayer/shortcuts/default.keys
%{_datadir}/smplayer/shortcuts/sda.keys
%dir %{_datadir}/smplayer/themes
%dir %{_datadir}/smplayer/translations
%lang(ar) %{_datadir}/smplayer/translations/smplayer_ar_SY.qm
%lang(bg) %{_datadir}/smplayer/translations/smplayer_bg.qm
%lang(ca) %{_datadir}/smplayer/translations/smplayer_ca.qm
%lang(cs) %{_datadir}/smplayer/translations/smplayer_cs.qm
%lang(de) %{_datadir}/smplayer/translations/smplayer_de.qm
%lang(en_US) %{_datadir}/smplayer/translations/smplayer_en_US.qm
%lang(el) %{_datadir}/smplayer/translations/smplayer_el_GR.qm
%lang(es) %{_datadir}/smplayer/translations/smplayer_es.qm
%lang(et) %{_datadir}/smplayer/translations/smplayer_et.qm
%lang(eu) %{_datadir}/smplayer/translations/smplayer_eu.qm
%lang(fi) %{_datadir}/smplayer/translations/smplayer_fi.qm
%lang(fr) %{_datadir}/smplayer/translations/smplayer_fr.qm
%lang(gl) %{_datadir}/smplayer/translations/smplayer_gl.qm
%lang(hu) %{_datadir}/smplayer/translations/smplayer_hu.qm
%lang(it) %{_datadir}/smplayer/translations/smplayer_it.qm
%lang(ja) %{_datadir}/smplayer/translations/smplayer_ja.qm
%lang(ka) %{_datadir}/smplayer/translations/smplayer_ka.qm
%lang(ko) %{_datadir}/smplayer/translations/smplayer_ko.qm
%lang(ku) %{_datadir}/smplayer/translations/smplayer_ku.qm
%lang(lt) %{_datadir}/smplayer/translations/smplayer_lt.qm
%lang(mk) %{_datadir}/smplayer/translations/smplayer_mk.qm
%lang(nl) %{_datadir}/smplayer/translations/smplayer_nl.qm
%lang(pl) %{_datadir}/smplayer/translations/smplayer_pl.qm
%lang(pt) %{_datadir}/smplayer/translations/smplayer_pt.qm
%lang(pt_BR) %{_datadir}/smplayer/translations/smplayer_pt_BR.qm
%lang(ro) %{_datadir}/smplayer/translations/smplayer_ro_RO.qm
%lang(ru) %{_datadir}/smplayer/translations/smplayer_ru_RU.qm
%lang(sk) %{_datadir}/smplayer/translations/smplayer_sk.qm
%lang(sl) %{_datadir}/smplayer/translations/smplayer_sl_SI.qm
%lang(sr) %{_datadir}/smplayer/translations/smplayer_sr.qm
%lang(sv) %{_datadir}/smplayer/translations/smplayer_sv.qm
%lang(tr) %{_datadir}/smplayer/translations/smplayer_tr.qm
%lang(uk) %{_datadir}/smplayer/translations/smplayer_uk_UA.qm
%lang(vi) %{_datadir}/smplayer/translations/smplayer_vi_VN.qm
%lang(zh_CN) %{_datadir}/smplayer/translations/smplayer_zh_CN.qm
%lang(zh_TW) %{_datadir}/smplayer/translations/smplayer_zh_TW.qm
%{_desktopdir}/smplayer.desktop
%{_desktopdir}/smplayer_enqueue.desktop
%{_iconsdir}/hicolor/*/apps/smplayer.png
%{_mandir}/man1/smplayer.1*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: smplayer.spec,v $
Revision 1.101  2010/02/23 08:05:08  amateja
- updated to 0.6.9

Revision 1.100  2009/09/28 16:45:12  glen
- simplify build
- disable console debug
- rel 2

Revision 1.99  2009/08/14 13:04:24  charles
- just lang(vi) for smplayer_vi_VN.qm

Revision 1.98  2009/08/14 11:40:57  charles
- add missing langs

Revision 1.97  2009/08/12 23:25:53  arvenil
- up to 0.6.8
- translation patch no more needed

Revision 1.96  2009/07/15 16:23:52  glen
- what kdelibs???; rel 3

Revision 1.95  2009/07/15 16:16:13  glen
- release 2

Revision 1.94  2009/03/12 22:06:03  charles
- added -translations.patch (fixed build)
- fixed %install

Revision 1.93  2009/03/10 21:29:28  arvenil
- up to 0.6.7

Revision 1.92  2009/01/02 09:09:09  adamg
- updated to 0.6.6

Revision 1.91  2008/12/15 19:02:08  glen
- mplayer version; rel 2

Revision 1.90  2008/11/15 00:14:20  arvenil
- added TODO

Revision 1.89  2008/11/14 22:51:18  arvenil
- up to 0.6.5.1

Revision 1.88  2008/11/13 23:35:15  arvenil
- up to 0.6.5

Revision 1.87  2008/10/25 14:39:36  duddits
- up to 0.6.4
- translations updated

Revision 1.86  2008/09/26 04:17:44  ankry
- I see no other ar translation file...

Revision 1.85  2008/09/25 22:09:42  arvenil
- up to 0.6.3

Revision 1.84  2008/08/16 00:35:42  arvenil
- packaged sl translation

Revision 1.83  2008/08/15 14:08:26  rotom
- up to 0.6.2
- rm obsoletes patch

Revision 1.82  2008/05/31 11:18:13  charles
- add -playlist_oor.patch (fixed out of range in playlist)

Revision 1.81  2008-05-28 22:27:44  vip
- up to 0.6.1
- add missing langs

Revision 1.80  2008-05-16 17:22:41  qboosh
- files fix, unified order

Revision 1.79  2008-05-15 16:02:31  shadzik
- 0.6.0 final
- mnie sie chcialo

Revision 1.78  2008-01-04 19:18:57  qboosh
- use qmake-qt4, lrelease-qt4

Revision 1.77  2007-12-24 16:14:21  shadzik
- missing commitlog

Revision 1.76  2007-12-24 16:04:09  shadzik
- 0.5.62 is marked as stable (merged from DEVEL)

Revision 1.74.2.10  2007-11-19 22:11:31  vip
- up to 0.5.62

Revision 1.74.2.9  2007/10/12 20:45:51  arvenil
- TODO already done (rev. 1.74.2.3)

Revision 1.74.2.8  2007/10/12 20:41:58  arvenil
- up to 0.5.61
- s#lrelease#%{_libdir}/qt4/bin/lrelease#

Revision 1.74.2.7  2007/10/09 18:29:36  vip
- up to 0.5.60

Revision 1.74.2.6  2007/09/09 22:27:17  vip
- up to 0.5.55

Revision 1.74.2.5  2007/08/27 05:49:00  shadzik
- 0.5.44

Revision 1.74.2.4  2007/08/24 18:11:07  shadzik
- 0.5.42

Revision 1.75  2007-08-24 17:17:49  qboosh
- nl

Revision 1.74.2.3  2007/08/23 09:28:21  adamg
- translations fixed (thx qboosh)
- BR: qt4-linguist

Revision 1.74.2.2  2007/08/23 08:27:49  adamg
- updated to 0.5.41 (porting to Qt4 completed)
- BuildRequires: Qt3Support-devel, QtNetwork-devel
- translations not seen by smplayer

Revision 1.74.2.1  2007/08/19 00:51:49  shadzik
- up to 0.5.30 unstable snap 0818
- drop Qt3Support BR
- use native qt4 support
- builds
- much less langs than in the stable release

Revision 1.74  2007/07/01 10:08:52  vip
- up to 0.5.21

Revision 1.73  2007/06/24 06:01:36  rotom
- up to 0.5.20

Revision 1.72  2007/06/16 07:00:11  rotom
- up to 0.5.14
- BR added

Revision 1.71  2007/06/07 11:07:01  rotom
- up to 0.5.7

Revision 1.70  2007/05/30 22:56:16  shadzik
- drop patch0

Revision 1.69  2007/05/29 22:23:53  vip
- up to 0.5.0

Revision 1.68  2007/05/26 15:29:29  vip
- fix themes dir (thanks to megabajt)

Revision 1.67  2007/05/26 12:38:43  vip
- up to 0.4.29

Revision 1.66  2007/05/19 16:59:46  arvenil
- up to 0.4.23
- sorted

Revision 1.65  2007/05/13 15:06:26  shadzik
- 0.4.19

Revision 1.64  2007/05/08 13:59:20  ankry
- sorted

Revision 1.63  2007/05/08 13:11:52  shadzik
- 0.4.15

Revision 1.62  2007/05/05 13:26:39  rotom
- up to 0.4.10

Revision 1.61  2007/05/04 06:51:49  ankry
- sorted

Revision 1.60  2007/05/04 01:50:47  shadzik
- 0.4.7

Revision 1.59  2007/05/03 10:37:15  rotom
- 0.4.6

Revision 1.58  2007/05/01 16:52:52  rotom
- up to 0.4.3

Revision 1.57  2007/04/29 08:03:26  shadzik
- 0.4.0

Revision 1.56  2007/04/24 19:55:41  shadzik
- 0.3.39

Revision 1.55  2007/04/24 14:19:54  shadzik
- 0.3.38

Revision 1.54  2007/04/23 20:00:10  shadzik
- 0.3.37

Revision 1.53  2007/04/23 10:58:56  shadzik
- 0.3.36

Revision 1.52  2007/04/22 19:31:35  shadzik
- 0.3.35

Revision 1.51  2007/04/21 21:22:22  rotom
- up to 0.3.34
- Added the Czech translation

Revision 1.50  2007/04/21 07:35:43  rotom
- 0.3.33

Revision 1.49  2007/04/20 21:35:28  shadzik
- 0.3.32

Revision 1.48  2007/04/20 00:38:28  shadzik
- 0.3.31

Revision 1.47  2007/04/19 09:00:19  rotom
- up to 0.3.29
- added ka translations

Revision 1.46  2007/04/18 12:59:48  shadzik
- 0.3.27

Revision 1.45  2007/04/14 19:38:31  rotom
- 0.3.20
- Added new icon themes by Charles Barcza.
- Updated the German and Polish translations.

Revision 1.44  2007/04/14 11:46:12  rotom
- 0.3.19

Revision 1.43  2007/04/13 14:14:48  shadzik
- 0.3.18

Revision 1.42  2007/04/12 14:20:24  shadzik
- 0.3.17

Revision 1.41  2007/04/11 18:52:19  shadzik
- 0.3.16
- added pt_BR translation

Revision 1.40  2007/04/11 02:06:03  shadzik
- 0.3.15

Revision 1.39  2007/04/09 18:29:59  shadzik
- 0.3.14

Revision 1.38  2007/04/09 04:34:19  ankry
- shorten; no another uk_*

Revision 1.37  2007/04/09 02:28:29  shadzik
- add -translations_path.patch

Revision 1.36  2007/04/09 01:06:43  shadzik
- 0.3.13
- more icons

Revision 1.35  2007/04/09 01:05:24  shadzik
- add uk_UA translation

Revision 1.34  2007/04/07 20:17:34  rotom
- up to 0.3.12

Revision 1.33  2007/04/07 01:29:55  shadzik
- 0.3.11

Revision 1.32  2007/04/06 20:27:08  rotom
- Updated some languages
- Some Bug fixed
- Some options for logs added

Revision 1.31  2007/04/05 18:37:15  rotom
- up to 0.3.9

Revision 1.30  2007/04/05 10:13:11  shadzik
- 0.3.8
- added ja,nl translations

Revision 1.29  2007/04/04 13:50:20  shadzik
- 0.3.7

Revision 1.28  2007/04/03 19:42:13  rotom
- up to 0.3.6
- Updated Polish, Italian, Chinese and Russian translations.
- All icons are now png files.
- Using the option -nofs for the mplayer command line.

Revision 1.27  2007/04/03 16:44:05  rotom
- up to 0.3.5

Revision 1.26  2007/04/02 18:29:04  rotom
- up to 0.3.4

Revision 1.25  2007/04/02 07:28:50  rotom
- up to 0.3.3

Revision 1.24  2007/04/01 08:13:27  rotom
- up to 0.3.2
- Added the Polish translation.

Revision 1.23  2007/03/30 16:52:10  shadzik
- 0.3.1
- added en_US translation

Revision 1.22  2007/03/29 13:16:02  shadzik
- 0.3.0

Revision 1.21  2007/03/28 18:30:32  rotom
- 0.2.44
- hu lang added

Revision 1.20  2007/03/28 11:02:17  shadzik
- 0.2.43

Revision 1.19  2007/03/27 14:42:03  vip
- rat-update to 0.2.42

Revision 1.18  2007/03/26 19:02:32  shadzik
- 0.2.41

Revision 1.17  2007/03/24 23:37:59  shadzik
- up to 0.2.40
- rotom, I never sleep I'm just giving you sometimes something to do ;)

Revision 1.16  2007/03/23 23:07:04  rotom
- up to 0.2.39
- few lang files added
- shadzik don`t sleep

Revision 1.15  2007/03/23 17:23:02  shadzik
- 0.2.38
- as I said, rat race

Revision 1.14  2007/03/22 17:29:05  shadzik
- 0.2.37l this seems like a 'rat race' to me :)

Revision 1.13  2007/03/21 21:53:25  rotom
- 0.2.36

Revision 1.12  2007/03/21 15:31:46  rotom
- 0.2.35

Revision 1.11  2007/03/19 22:42:55  rotom
- 0.2.34

Revision 1.10  2007/03/18 20:10:07  rotom
- up to 0.2.31
- italian translation added

Revision 1.9  2007/03/18 12:28:00  rotom
- %doc added

Revision 1.8  2007/03/18 09:19:49  rotom
- up to 0.2.30

Revision 1.7  2007/03/17 08:30:03  rotom
- up to 0.2.27

Revision 1.6  2007/03/15 18:43:23  shadzik
- rel 2; just to rebuild with Polish description

Revision 1.5  2007/03/15 17:29:11  glen
- fix double encoded utf8, and some bad byte: ście<C5>żka

Revision 1.4  2007/03/15 17:21:39  shadzik
- extend summaries and add Polish description

Revision 1.3  2007/03/15 16:56:13  shadzik
- R: mplayer
- adapterized

Revision 1.2  2007/03/15 16:54:53  shadzik
- more %files
- better %install

Revision 1.1  2007/03/15 16:45:39  shadzik
- initial
- NFY
